/********************************************************************

  Module: TitanT4OS

  Author: Carlo Ordonez

  Description:

    Platform-specific OS functions for T4

  Copyright 2005 Sony Online Entertainment.  All rights reserved.

*********************************************************************/

#ifndef _TitanT4OS_h_
#define _TitanT4OS_h_

#include "t4os.h"

class TitanT4OS : public T4Os
{
public:
  TitanT4OS();
  ~TitanT4OS();

  // overrides
  virtual void    sleep( unsigned int milliseconds );
  virtual void*   malloc( size_t size );
  virtual void    free( void* pBuffer );
};

#endif

